{ config, lib, pkgs, ...}:

{
  programs.zsh.enable = true;

  environment.systemPackages = with pkgs; [
    git
    zoxide
    tlrc
    file
    stow
    btop
    jq
    fzf
    killall
    ripgrep
    wget

    gcc # needed for nvim for some reason.

    ffmpeg
    imagemagick
  ];

  programs.tmux.enable = true;
  documentation.man.enable = true;

  programs.nh = {
    enable = true;
    flake = "/home/nico/dots";
  };

  programs.direnv = {
    enable = true;
    silent = true;
    loadInNixShell = true;
    nix-direnv.enable = true;
  };

  programs.neovim = {
    enable = true;
    vimAlias = true;
    viAlias = true;
    withRuby = true;
    withPython3 = true;
    withNodeJs = true;
  };
}
